Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 3883)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 3884)
@@ -24,6 +24,7 @@
 allLines=all lines
 annotatingConcordanceSelection=Annotating concordance selection…
 annotationCanceledByUser=Annotation canceled by user.
+annotationsAreSavedInXMLTXMFiles=Annotations are saved in XML-TXM files. Updating corpus indexes and editions
 availableAnnotationTypesColonP0=Available annotation types\: {0}
 availableValuesForP0=Available values for {0}
 BeforeSavingAnnotations=Before saving annotations...
@@ -32,6 +33,7 @@
 concordanceAnnotationArea=Concordance Annotation area
 confirmAnnotationAffectation=Confirm annotation assignment
 couldNotAnnotateTheValueP0OnCertainSequences=** Can not annotate the value {0} on certain sequences.
+creationAborted=Creation aborted.
 CancelingLoginForP0KR=Cancelling login for {0} KR.
 CQPAnnotationsImportedFromP0=CQP Annotations imported from 
 CQPIndexesNotUpdatedOnlyTheXMLTXMFilesHaveBeenUpdated=CQP indexes not updated. Only the XML-TXM files have been updated. Call Update corpus later to access the annotations
@@ -45,6 +47,9 @@
 errorWhileAnnotatingConcordanceColonP0=** Error while annotating concordance\:  {0}
 errorWhileAnnotatingConcordanceSelectionColonP0=** Error while annotating concordance selection\: {0}
 errorWhileDeletingAnnotationColonP0=** Error while deleting annotation\: {0}
+errorWhileReadingAnnotationP0AndWithP1Matches=Error while reading annotation {0} and with {1} matches
+errorWhileSavingAnnotations=** Error while saving annotations (see logs above).
+errorWhileSavingAnnotationsP0=Error while saving annotations: {0}
 executionCanceled=Execution canceled.
 FailToUpdateTheCorpusAborting=Fail to update the corpus. Aborting
 FixXMLTXMFilesAndCallCommandUpdateCorpus=Fix XML-TXM files and call command 'UpdateCorpus'
@@ -63,6 +68,8 @@
 oK=OK
 openTheListOfCategories=Open the list of categories
 pleaseEnterTheNewTypeName=Enter the name of the new category
+pleaseEnterTheNewTypeName=Please enter the new type name
+pleaseEnterTheNewValueName=Please enter the new value name
 PreserveAnnotationBetweenTXMSessions=Preserve annotations between TXM sessions
 proceedToAnnotation=Proceed to annotation
 property=Property
@@ -70,6 +77,7 @@
 SaveAnnotationsAndUpdateTheCorpus=Save Annotations and update the corpus.
 SaveP0Annotations=Saving {0} annotations...
 saveTheAnnotations=Save the annotations
+savingAnnotationsOfP0=Saving annotations of {0}
 selectAValueAmongTheList=Select a value among the list
 selectedLines=selected lines
 squencesDeMotsCatgorie=Words sequence (category)
@@ -78,6 +86,7 @@
 theSequenceP0IsOverlappingWith=\ - The sequence {0} is overlapping with  
 theStartOfAStructureP0AtP1P2=\  - the start of a structure {0} at [{1}-{2}] 
 theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt=The {0} value is not associated with the category {1}. Associate it?   
+typeName=Type name
 UpdateCorpusAfterWritingTheAnnotations=Update corpus after writing the annotations (warning the annotations won't be visible but saved in the XML-TXM files)
 UpdateEdition=Update editions
 UpdateOptions=Update options
@@ -85,6 +94,7 @@
 UpdatingCorpusEditionsAndIndexes=Updating corpus editions and indexes
 updatingTheP0Corpus=Updating the {0} corpus...
 valueEquals=value\=
+valueName=Value name
 WarningP0KRIsNullPleaseCheckKRConfiguration=Warning ''{0}'' KR is null. Please check KR configuration.
 withTheCategory=with the category
 youAreAboutToAnnotateP0ElementsContinue=You are about to annotate {0} elements. Continue ?
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3883)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3884)
@@ -76,14 +76,28 @@
 	public static String couldNotAnnotateTheValueP0OnCertainSequences; 
 	public static String theSequenceP0IsOverlappingWith; 
 	public static String theEndOfAStructureP0AtP1P2; 
-	public static String theStartOfAStructureP0AtP1P2; 
+	public static String theStartOfAStructureP0AtP1P2;
+
+	public static String typeName; 
 	public static String aboutAnnotations; 
-	public static String errorWhileAffectionAnnotationColonP0; 
-	public static String saveTheAnnotations; 
+	public static String errorWhileAffectionAnnotationColonP0;
+
+	public static String errorWhileReadingAnnotationP0AndWithP1Matches;
+
+	public static String errorWhileSavingAnnotations;
+
+	public static String errorWhileSavingAnnotationsP0; 
+	public static String saveTheAnnotations;
+
+	public static String savingAnnotationsOfP0; 
 	public static String openTheListOfCategories; 
 	public static String selectAValueAmongTheList; 
-	public static String valueEquals; 
-	public static String pleaseEnterTheNewTypeName; 
+	public static String valueEquals;
+
+	public static String valueName; 
+	public static String pleaseEnterTheNewTypeName;
+
+	public static String pleaseEnterTheNewValueName; 
 	public static String newCategory; 
 	public static String withTheCategory; 
 	public static String oK; 
@@ -92,10 +106,14 @@
 	public static String listOfCategories; 
 	public static String squencesDeMotsCatgorievaleur; 
 	public static String closeTheToolbarWithoutSaving; 
-	public static String annotationCanceledByUser; 
+	public static String annotationCanceledByUser;
+
+	public static String annotationsAreSavedInXMLTXMFiles; 
 	public static String availableAnnotationTypesColonP0; 
 	public static String errorColonNoSuitableKnowledgeRepositoryFound; 
-	public static String concordanceAnnotationArea; 
+	public static String concordanceAnnotationArea;
+
+	public static String creationAborted; 
 	public static String squencesDeMotsCatgorie; 
 	public static String motsPropritsInfDfaut; 
 	public static String all;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3883)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3884)
@@ -12,6 +12,7 @@
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.annotation.kr.core.repository.TypedValue;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.objects.Match;
@@ -209,7 +210,7 @@
 				annotationsPerMatch = am.getAnnotationsForMatches(viewAnnotation, subsetMatch, overlapAnnotation);
 				//System.out.println("annotationsPerMatch: "+annotationsPerMatch);
 			} catch (Exception e) {
-				Log.warning(NLS.bind("Error while reading annotation {0} and with {1} matches", viewAnnotation, subsetMatch.size()));
+				Log.warning(NLS.bind(Messages.errorWhileReadingAnnotationP0AndWithP1Matches, viewAnnotation, subsetMatch.size()));
 				Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Add.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Add.java	(revision 3883)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Add.java	(revision 3884)
@@ -43,6 +43,7 @@
 import org.txm.annotation.kr.core.repository.LocalKnowledgeRepository;
 import org.txm.annotation.kr.core.repository.SQLKnowledgeRepository;
 import org.txm.annotation.kr.core.repository.TypedValue;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.utils.AsciiUtils;
 import org.txm.utils.logger.Log;
@@ -78,7 +79,7 @@
 		} else if (selectedItem instanceof LocalKnowledgeRepository) {
 			LocalKnowledgeRepository kr = ((LocalKnowledgeRepository)selectedItem);
 			Shell shell = Display.getDefault().getActiveShell();
-			InputDialog dialog = new InputDialog(shell, "Type name", "Please enter the new type name", "", null);
+			InputDialog dialog = new InputDialog(shell, Messages.typeName, Messages.pleaseEnterTheNewTypeName, "", null); //$NON-NLS-3$
 			if (dialog.open() == InputDialog.OK) {
 				String name = dialog.getValue();
 				String id = AsciiUtils.buildId(name);
@@ -91,7 +92,7 @@
 				KRView.refresh();
 				//kr.add(at);
 			} else {
-				Log.info("Creation aborted.");
+				Log.info(Messages.creationAborted);
 			}
 		} else if (selectedItem instanceof AnnotationType) {
 			AnnotationType t = ((AnnotationType)selectedItem);
@@ -104,7 +105,7 @@
 				LocalKnowledgeRepository lkr = ((LocalKnowledgeRepository)kr);
 
 				Shell shell = Display.getDefault().getActiveShell();
-				InputDialog dialog = new InputDialog(shell, "Value name", "Please enter the new value name", "", null);
+				InputDialog dialog = new InputDialog(shell, Messages.valueName, Messages.pleaseEnterTheNewValueName, "", null); //$NON-NLS-3$
 				if (dialog.open() == InputDialog.OK) {
 					String name = dialog.getValue();
 					String id = name;
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java	(revision 3883)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java	(revision 3884)
@@ -14,6 +14,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
+import org.txm.annotation.kr.rcp.messages.Messages;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.utils.SWTEditorsUtils;
@@ -61,7 +62,7 @@
 			return null;
 		}
 		
-		JobHandler jobhandler = new JobHandler(NLS.bind("Saving annotations of {0}", corpus)) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(Messages.savingAnnotationsOfP0, corpus)) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -72,20 +73,20 @@
 					monitor.worked(30);
 					
 					if (rez) {
-						Log.fine("Annotations are saved in XML-TXM files. Updating corpus indexes and editions");
+						Log.fine(Messages.annotationsAreSavedInXMLTXMFiles);
 						// close all opened editors of all children corpus
 						SWTEditorsUtils.closeEditors(corpus.getProject(), true);
 					}
 					else {
-						Log.warning("** Error while saving annotations (see logs above).");
+						Log.warning(Messages.errorWhileSavingAnnotations);
 					}
 				}
 				catch (Exception e) {
-					Log.warning(NLS.bind("Error while saving annotations: {0}", e));
+					Log.warning(NLS.bind(Messages.errorWhileSavingAnnotationsP0, e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				} catch(ThreadDeath ex) {
-					Log.info(TXMUIMessages.executionCanceled);
+					Log.info(Messages.executionCanceled);
 					return Status.CANCEL_STATUS;
 				}
 				return Status.OK_STATUS;
